Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DebugStats Class Reference

`#include <DebugStats.h>`

## Public Member Functions
| DebugStats ()
void | updateRanges (void)
void | reset (void)
| Reset debug stats. More...

## Public Attributes
U32 | objectsCount
U32 | maxObjectsCount
U32 | objectsEnabled
U32 | maxObjectsEnabled
U32 | objectsVisible
U32 | maxObjectsVisible
U32 | objectsAwake
U32 | maxObjectsAwake
U32 | renderPicked
U32 | maxRenderPicked
U32 | renderRequests
U32 | maxRenderRequests
U32 | renderFallbacks
U32 | maxRenderFallbacks
U32 | bodyCount
U32 | maxBodyCount
U32 | jointCount
U32 | maxJointCount
U32 | contactCount
U32 | maxContactCount
U32 | proxyCount
U32 | maxProxyCount
U32 | batchTrianglesSubmitted
U32 | maxBatchTrianglesSubmitted
U32 | batchMaxVertexBuffer
U32 | batchMaxTriangleDrawn
U32 | batchDrawCallsStrict
U32 | maxBatchDrawCallsStrict
U32 | batchDrawCallsSorted
U32 | maxBatchDrawCallsSorted
U32 | batchFlushes
U32 | maxBatchFlushes
U32 | batchBlendStateFlush
U32 | maxBatchBlendStateFlush
U32 | batchColorStateFlush
U32 | maxBatchColorStateFlush
U32 | batchAlphaStateFlush
U32 | maxBatchAlphaStateFlush
U32 | batchTextureChangeFlush
U32 | maxBatchTextureChangeFlushes
U32 | batchBufferFullFlush
U32 | maxBatchBufferFullFlush
U32 | batchIsolatedFlush
U32 | maxBatchIsolatedFlush
U32 | batchLayerFlush
U32 | maxBatchLayerFlush
U32 | batchNoBatchFlush
U32 | maxBatchNoBatchFlush
U32 | batchAnonymousFlush
U32 | maxBatchAnonymousFlush
U32 | particlesAlloc
U32 | particlesFree
U32 | particlesUsed
U32 | maxParticlesUsed
F32 | fps
F32 | minFPS
F32 | maxFPS
U32 | frameCount
b2Profile | worldProfile
b2Profile | maxWorldProfile

## Constructor & Destructor Documentation

DebugStats | ( |  | ) |
| inline

## Member Function Documentation

void reset | ( | void |  | ) |
| inline

Reset debug stats.

void updateRanges | ( | void |  | ) |
| inline

## Member Data Documentation

U32 batchAlphaStateFlush

U32 batchAnonymousFlush

U32 batchBlendStateFlush

U32 batchBufferFullFlush

U32 batchColorStateFlush

U32 batchDrawCallsSorted

U32 batchDrawCallsStrict

U32 batchFlushes

U32 batchIsolatedFlush

U32 batchLayerFlush

U32 batchMaxTriangleDrawn

U32 batchMaxVertexBuffer

U32 batchNoBatchFlush

U32 batchTextureChangeFlush

U32 batchTrianglesSubmitted

U32 bodyCount

U32 contactCount

F32 fps

U32 frameCount

U32 jointCount

U32 maxBatchAlphaStateFlush

U32 maxBatchAnonymousFlush

U32 maxBatchBlendStateFlush

U32 maxBatchBufferFullFlush

U32 maxBatchColorStateFlush

U32 maxBatchDrawCallsSorted

U32 maxBatchDrawCallsStrict

U32 maxBatchFlushes

U32 maxBatchIsolatedFlush

U32 maxBatchLayerFlush

U32 maxBatchNoBatchFlush

U32 maxBatchTextureChangeFlushes

U32 maxBatchTrianglesSubmitted

U32 maxBodyCount

U32 maxContactCount

F32 maxFPS

U32 maxJointCount

U32 maxObjectsAwake

U32 maxObjectsCount

U32 maxObjectsEnabled

U32 maxObjectsVisible

U32 maxParticlesUsed

U32 maxProxyCount

U32 maxRenderFallbacks

U32 maxRenderPicked

U32 maxRenderRequests

b2Profile maxWorldProfile

F32 minFPS

U32 objectsAwake

U32 objectsCount

U32 objectsEnabled

U32 objectsVisible

U32 particlesAlloc

U32 particlesFree

U32 particlesUsed

U32 proxyCount

U32 renderFallbacks

U32 renderPicked

U32 renderRequests

b2Profile worldProfile

The documentation for this class was generated from the following file:

- 2d/scene/DebugStats.h